import request from '@/utils/request'

// 查询房间类别列表
export function listRoomType(query) {
  return request({
    url: '/type/roomType/list',
    method: 'get',
    params: query
  })
}

// 查询房间类别详细
export function getRoomType(typeId) {
  return request({
    url: '/type/roomType/' + typeId,
    method: 'get'
  })
}

// 新增房间类别
export function addRoomType(data) {
  return request({
    url: '/type/roomType',
    method: 'post',
    data: data
  })
}

// 修改房间类别
export function updateRoomType(data) {
  return request({
    url: '/type/roomType',
    method: 'put',
    data: data
  })
}

// 删除房间类别
export function delRoomType(typeId) {
  return request({
    url: '/type/roomType/' + typeId,
    method: 'delete'
  })
}

// 导出房间类别
export function exportRoomType(query) {
  return request({
    url: '/type/roomType/export',
    method: 'get',
    params: query
  })
}
